<!doctype html>
<html>
<head>
  <meta charset="utf-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1" />
  <title>Gitter Search</title>
  <link rel="stylesheet" href="https://unpkg.com/font-awesome@4.7.0/css/font-awesome.min.css">
  <script src="https://unpkg.com/mithril@next/mithril.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/rxjs/5.5.8/Rx.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/date-fns/1.29.0/date_fns.min.js"></script>
</head>
<body>
  <div id="theme"></div>
  <div id="form"></div>
  <div id="result"></div>

  <script>// global
const store = {
  room: 'mithriljs/mithril.js',
  user: '',
  init: dateFns.subMonths(Date(), 1).toJSON().split('T')[0],
  end:  new Date().toJSON().split('T')[0],
  text: ''
}

m.mount(document.getElementById('theme'), () => {
  let theme = 'flatly'
  const themes = [
    'cerulean','cosmo','cyborg','darkly','flatly','journal','litera','lumen','lux','materia','minty',
    'nuclear','pulse','sandstone','simplex','slate','solar','spacelab','superhero','united','yeti'
  ]

  return {
    view: () =>
      m('.', {style: 'display: flex; margin: 10px 0 0 40px'},
        m('label.label', {style: 'margin-top: 7px'}, 'Theme:'),
        m('.select',
          m('select.select', {
              style: `margin-left: 10px`,
              onchange: e => theme = e.target.value,
              value: theme
            },
            themes.map(x => m('option', x))
          ),
        ),
        m('link', {
          type: 'text/css',
          rel:  'stylesheet',
          href: `https://unpkg.com/bulmaswatch/${theme}\/bulmaswatch.min.css`
        })
      )
  }
})
  </script>

  <script src="static/app.js"></script>
</body>
</html>
